import { _decorator, Component, Node, AudioClip, AudioSource } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {
    @property([AudioClip])
    audioList: AudioClip[] = [];

    @property(AudioSource)
    audioSource:AudioSource = null;
    start() {
        this.schedule(this.playEffect);
    }
    playEffect() {
        const audioList = this.audioList;
        for (let i in audioList) {
            this.audioSource.playOneShot(this.audioList[i], 1);

        }
    }

    update(deltaTime: number) {

    }
}

